diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/general-template.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/general-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/general-template.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/general-template.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 147,152 ****
--- 147,153 ----
   *
   * @since 2.7.0
   * @param boolean $echo Default to echo and not return the form.
+  * @return string|null String when retrieving, null when displaying or if searchform.php exists.
   */
  function get_search_form($echo = true) {
  	do_action( 'get_search_form' );
***************
*** 181,186 ****
--- 182,188 ----
   *
   * @param string $redirect Optional path to redirect to on login/logout.
   * @param boolean $echo Default to echo and not return the link.
+  * @return string|null String when retrieving, null when displaying.
   */
  function wp_loginout($redirect = '', $echo = true) {
  	if ( ! is_user_logged_in() )
***************
*** 205,210 ****
--- 207,213 ----
   * @uses apply_filters() calls 'logout_url' hook on final logout url
   *
   * @param string $redirect Path to redirect to on logout.
+  * @return string A log out URL.
   */
  function wp_logout_url($redirect = '') {
  	$args = array( 'action' => 'logout' );
***************
*** 229,235 ****
   *
   * @param string $redirect Path to redirect to on login.
   * @param bool $force_reauth Whether to force reauthorization, even if a cookie is present. Default is false.
!  * @return string A log in url
   */
  function wp_login_url($redirect = '', $force_reauth = false) {
  	$login_url = site_url('wp-login.php', 'login');
--- 232,238 ----
   *
   * @param string $redirect Path to redirect to on login.
   * @param bool $force_reauth Whether to force reauthorization, even if a cookie is present. Default is false.
!  * @return string A log in URL.
   */
  function wp_login_url($redirect = '', $force_reauth = false) {
  	$login_url = site_url('wp-login.php', 'login');
***************
*** 248,255 ****
   * the HTML immediately. Pass array('echo'=>false) to return the string instead.
   *
   * @since 3.0.0
!  * @param array $args Configuration options to modify the form output
!  * @return Void, or string containing the form
   */
  function wp_login_form( $args = array() ) {
  	$defaults = array( 'echo' => true,
--- 251,258 ----
   * the HTML immediately. Pass array('echo'=>false) to return the string instead.
   *
   * @since 3.0.0
!  * @param array $args Configuration options to modify the form output.
!  * @return string|null String when retrieving, null when displaying.
   */
  function wp_login_form( $args = array() ) {
  	$defaults = array( 'echo' => true,
***************
*** 274,289 ****
  			' . apply_filters( 'login_form_top', '', $args ) . '
  			<p class="login-username">
  				<label for="' . esc_attr( $args['id_username'] ) . '">' . esc_html( $args['label_username'] ) . '</label>
! 				<input type="text" name="log" id="' . esc_attr( $args['id_username'] ) . '" class="input" value="' . esc_attr( $args['value_username'] ) . '" size="20" tabindex="10" />
  			</p>
  			<p class="login-password">
  				<label for="' . esc_attr( $args['id_password'] ) . '">' . esc_html( $args['label_password'] ) . '</label>
! 				<input type="password" name="pwd" id="' . esc_attr( $args['id_password'] ) . '" class="input" value="" size="20" tabindex="20" />
  			</p>
  			' . apply_filters( 'login_form_middle', '', $args ) . '
! 			' . ( $args['remember'] ? '<p class="login-remember"><label><input name="rememberme" type="checkbox" id="' . esc_attr( $args['id_remember'] ) . '" value="forever" tabindex="90"' . ( $args['value_remember'] ? ' checked="checked"' : '' ) . ' /> ' . esc_html( $args['label_remember'] ) . '</label></p>' : '' ) . '
  			<p class="login-submit">
! 				<input type="submit" name="wp-submit" id="' . esc_attr( $args['id_submit'] ) . '" class="button-primary" value="' . esc_attr( $args['label_log_in'] ) . '" tabindex="100" />
  				<input type="hidden" name="redirect_to" value="' . esc_url( $args['redirect'] ) . '" />
  			</p>
  			' . apply_filters( 'login_form_bottom', '', $args ) . '
--- 277,292 ----
  			' . apply_filters( 'login_form_top', '', $args ) . '
  			<p class="login-username">
  				<label for="' . esc_attr( $args['id_username'] ) . '">' . esc_html( $args['label_username'] ) . '</label>
! 				<input type="text" name="log" id="' . esc_attr( $args['id_username'] ) . '" class="input" value="' . esc_attr( $args['value_username'] ) . '" size="20" />
  			</p>
  			<p class="login-password">
  				<label for="' . esc_attr( $args['id_password'] ) . '">' . esc_html( $args['label_password'] ) . '</label>
! 				<input type="password" name="pwd" id="' . esc_attr( $args['id_password'] ) . '" class="input" value="" size="20" />
  			</p>
  			' . apply_filters( 'login_form_middle', '', $args ) . '
! 			' . ( $args['remember'] ? '<p class="login-remember"><label><input name="rememberme" type="checkbox" id="' . esc_attr( $args['id_remember'] ) . '" value="forever"' . ( $args['value_remember'] ? ' checked="checked"' : '' ) . ' /> ' . esc_html( $args['label_remember'] ) . '</label></p>' : '' ) . '
  			<p class="login-submit">
! 				<input type="submit" name="wp-submit" id="' . esc_attr( $args['id_submit'] ) . '" class="button-primary" value="' . esc_attr( $args['label_log_in'] ) . '" />
  				<input type="hidden" name="redirect_to" value="' . esc_url( $args['redirect'] ) . '" />
  			</p>
  			' . apply_filters( 'login_form_bottom', '', $args ) . '
***************
*** 305,310 ****
--- 308,314 ----
   * @uses apply_filters() calls 'lostpassword_url' hook on the lostpassword url
   *
   * @param string $redirect Path to redirect to on login.
+  * @return string Lost password URL.
   */
  function wp_lostpassword_url( $redirect = '' ) {
  	$args = array( 'action' => 'lostpassword' );
***************
*** 328,333 ****
--- 332,338 ----
   * @param string $before Text to output before the link (defaults to <li>).
   * @param string $after Text to output after the link (defaults to </li>).
   * @param boolean $echo Default to echo and not return the link.
+  * @return string|null String when retrieving, null when displaying.
   */
  function wp_register( $before = '<li>', $after = '</li>', $echo = true ) {
  
***************
*** 492,509 ****
  }
  
  /**
-  * Retrieve the current blog id
-  *
-  * @since 3.1.0
-  *
-  * @return int Blog id
-  */
- function get_current_blog_id() {
- 	global $blog_id;
- 	return absint($blog_id);
- }
- 
- /**
   * Display or retrieve page title for all areas of blog.
   *
   * By default, the page title will display the separator before the page title,
--- 497,502 ----
***************
*** 873,878 ****
--- 866,872 ----
   * @since 1.2.0
   *
   * @param string|array $args Optional. Override defaults.
+  * @return string|null String when retrieving, null when displaying.
   */
  function wp_get_archives($args = '') {
  	global $wpdb, $wp_locale;
***************
*** 881,887 ****
  		'type' => 'monthly', 'limit' => '',
  		'format' => 'html', 'before' => '',
  		'after' => '', 'show_post_count' => false,
! 		'echo' => 1
  	);
  
  	$r = wp_parse_args( $args, $defaults );
--- 875,881 ----
  		'type' => 'monthly', 'limit' => '',
  		'format' => 'html', 'before' => '',
  		'after' => '', 'show_post_count' => false,
! 		'echo' => 1, 'order' => 'DESC',
  	);
  
  	$r = wp_parse_args( $args, $defaults );
***************
*** 895,900 ****
--- 889,898 ----
  		$limit = ' LIMIT '.$limit;
  	}
  
+ 	$order = strtoupper( $order );
+ 	if ( $order !== 'ASC' )
+ 		$order = 'DESC';
+ 
  	// this is what will separate dates on weekly archive links
  	$archive_week_separator = '&#8211;';
  
***************
*** 921,927 ****
  	$output = '';
  
  	if ( 'monthly' == $type ) {
! 		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date DESC $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
--- 919,925 ----
  	$output = '';
  
  	if ( 'monthly' == $type ) {
! 		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date $order $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
***************
*** 943,949 ****
  			}
  		}
  	} elseif ('yearly' == $type) {
! 		$query = "SELECT YEAR(post_date) AS `year`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date) ORDER BY post_date DESC $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
--- 941,947 ----
  			}
  		}
  	} elseif ('yearly' == $type) {
! 		$query = "SELECT YEAR(post_date) AS `year`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date) ORDER BY post_date $order $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
***************
*** 964,970 ****
  			}
  		}
  	} elseif ( 'daily' == $type ) {
! 		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, DAYOFMONTH(post_date) AS `dayofmonth`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date), DAYOFMONTH(post_date) ORDER BY post_date DESC $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
--- 962,968 ----
  			}
  		}
  	} elseif ( 'daily' == $type ) {
! 		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, DAYOFMONTH(post_date) AS `dayofmonth`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date), DAYOFMONTH(post_date) ORDER BY post_date $order $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
***************
*** 987,993 ****
  		}
  	} elseif ( 'weekly' == $type ) {
  		$week = _wp_mysql_week( '`post_date`' );
! 		$query = "SELECT DISTINCT $week AS `week`, YEAR( `post_date` ) AS `yr`, DATE_FORMAT( `post_date`, '%Y-%m-%d' ) AS `yyyymmdd`, count( `ID` ) AS `posts` FROM `$wpdb->posts` $join $where GROUP BY $week, YEAR( `post_date` ) ORDER BY `post_date` DESC $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
--- 985,991 ----
  		}
  	} elseif ( 'weekly' == $type ) {
  		$week = _wp_mysql_week( '`post_date`' );
! 		$query = "SELECT DISTINCT $week AS `week`, YEAR( `post_date` ) AS `yr`, DATE_FORMAT( `post_date`, '%Y-%m-%d' ) AS `yyyymmdd`, count( `ID` ) AS `posts` FROM `$wpdb->posts` $join $where GROUP BY $week, YEAR( `post_date` ) ORDER BY `post_date` $order $limit";
  		$key = md5($query);
  		$cache = wp_cache_get( 'wp_get_archives' , 'general');
  		if ( !isset( $cache[ $key ] ) ) {
***************
*** 1050,1056 ****
   * Get number of days since the start of the week.
   *
   * @since 1.5.0
-  * @usedby get_calendar()
   *
   * @param int $num Number of day.
   * @return int Days since the start of the week.
--- 1048,1053 ----
***************
*** 1067,1075 ****
--- 1064,1074 ----
   * no posts for the month, then it will not be displayed.
   *
   * @since 1.0.0
+  * @uses calendar_week_mod()
   *
   * @param bool $initial Optional, default is true. Use initial calendar names.
   * @param bool $echo Optional, default is true. Set to false for return.
+  * @return string|null String when retrieving, null when displaying.
   */
  function get_calendar($initial = true, $echo = true) {
  	global $wpdb, $m, $monthnum, $year, $wp_locale, $posts;
***************
*** 1319,1326 ****
   * @since 1.0.0
   */
  function the_date_xml() {
! 	global $post;
! 	echo mysql2date('Y-m-d', $post->post_date, false);
  }
  
  /**
--- 1318,1324 ----
   * @since 1.0.0
   */
  function the_date_xml() {
! 	echo mysql2date( 'Y-m-d', get_post()->post_date, false );
  }
  
  /**
***************
*** 1375,1381 ****
   * @return string|null Null if displaying, string if retrieving.
   */
  function get_the_date( $d = '' ) {
! 	global $post;
  	$the_date = '';
  
  	if ( '' == $d )
--- 1373,1379 ----
   * @return string|null Null if displaying, string if retrieving.
   */
  function get_the_date( $d = '' ) {
! 	$post = get_post();
  	$the_date = '';
  
  	if ( '' == $d )
***************
*** 1536,1543 ****
   * @uses $post
   */
  function the_weekday() {
! 	global $wp_locale, $post;
! 	$the_weekday = $wp_locale->get_weekday(mysql2date('w', $post->post_date, false));
  	$the_weekday = apply_filters('the_weekday', $the_weekday);
  	echo $the_weekday;
  }
--- 1534,1541 ----
   * @uses $post
   */
  function the_weekday() {
! 	global $wp_locale;
! 	$the_weekday = $wp_locale->get_weekday( mysql2date( 'w', get_post()->post_date, false ) );
  	$the_weekday = apply_filters('the_weekday', $the_weekday);
  	echo $the_weekday;
  }
***************
*** 1554,1564 ****
   * @param string $after Optional Output after the date.
   */
  function the_weekday_date($before='',$after='') {
! 	global $wp_locale, $post, $day, $previousweekday;
  	$the_weekday_date = '';
  	if ( $currentday != $previousweekday ) {
  		$the_weekday_date .= $before;
! 		$the_weekday_date .= $wp_locale->get_weekday(mysql2date('w', $post->post_date, false));
  		$the_weekday_date .= $after;
  		$previousweekday = $currentday;
  	}
--- 1552,1562 ----
   * @param string $after Optional Output after the date.
   */
  function the_weekday_date($before='',$after='') {
! 	global $wp_locale, $day, $previousweekday;
  	$the_weekday_date = '';
  	if ( $currentday != $previousweekday ) {
  		$the_weekday_date .= $before;
! 		$the_weekday_date .= $wp_locale->get_weekday( mysql2date( 'w', get_post()->post_date, false ) );
  		$the_weekday_date .= $after;
  		$previousweekday = $currentday;
  	}
***************
*** 1633,1645 ****
  		'authortitle' => __('%1$s %2$s Posts by %3$s Feed'),
  		/* translators: 1: blog name, 2: separator(raquo), 3: search phrase */
  		'searchtitle' => __('%1$s %2$s Search Results for &#8220;%3$s&#8221; Feed'),
  	);
  
  	$args = wp_parse_args( $args, $defaults );
  
  	if ( is_single() || is_page() ) {
  		$id = 0;
! 		$post = &get_post( $id );
  
  		if ( comments_open() || pings_open() || $post->comment_count > 0 ) {
  			$title = sprintf( $args['singletitle'], get_bloginfo('name'), $args['separator'], esc_html( get_the_title() ) );
--- 1631,1645 ----
  		'authortitle' => __('%1$s %2$s Posts by %3$s Feed'),
  		/* translators: 1: blog name, 2: separator(raquo), 3: search phrase */
  		'searchtitle' => __('%1$s %2$s Search Results for &#8220;%3$s&#8221; Feed'),
+ 		/* translators: 1: blog name, 2: separator(raquo), 3: post type name */
+ 		'posttypetitle' => __('%1$s %2$s %3$s Feed'),
  	);
  
  	$args = wp_parse_args( $args, $defaults );
  
  	if ( is_single() || is_page() ) {
  		$id = 0;
! 		$post = get_post( $id );
  
  		if ( comments_open() || pings_open() || $post->comment_count > 0 ) {
  			$title = sprintf( $args['singletitle'], get_bloginfo('name'), $args['separator'], esc_html( get_the_title() ) );
***************
*** 1663,1668 ****
--- 1663,1671 ----
  	} elseif ( is_search() ) {
  		$title = sprintf( $args['searchtitle'], get_bloginfo('name'), $args['separator'], get_search_query( false ) );
  		$href = get_search_feed_link();
+ 	} elseif ( is_post_type_archive() ) {
+ 		$title = sprintf( $args['posttypetitle'], get_bloginfo('name'), $args['separator'], post_type_archive_title( '', false ) );
+ 		$href = get_post_type_archive_feed_link( get_queried_object()->name );
  	}
  
  	if ( isset($title) && isset($href) )
***************
*** 1754,1760 ****
  		if ( get_user_option( 'rich_editing' ) == 'true' || ! is_user_logged_in() ) { // default to 'true' for logged out users
  			if ( $is_safari ) {
  				$wp_rich_edit = ! wp_is_mobile() || ( preg_match( '!AppleWebKit/(\d+)!', $_SERVER['HTTP_USER_AGENT'], $match ) && intval( $match[1] ) >= 534 );
! 			} elseif ( $is_gecko || $is_opera || $is_chrome || $is_IE ) {
  				$wp_rich_edit = true;
  			}
  		}
--- 1757,1763 ----
  		if ( get_user_option( 'rich_editing' ) == 'true' || ! is_user_logged_in() ) { // default to 'true' for logged out users
  			if ( $is_safari ) {
  				$wp_rich_edit = ! wp_is_mobile() || ( preg_match( '!AppleWebKit/(\d+)!', $_SERVER['HTTP_USER_AGENT'], $match ) && intval( $match[1] ) >= 534 );
! 			} elseif ( $is_gecko || $is_chrome || $is_IE || ( $is_opera && !wp_is_mobile() ) ) {
  				$wp_rich_edit = true;
  			}
  		}
***************
*** 1767,1773 ****
   * Find out which editor should be displayed by default.
   *
   * Works out which of the two editors to display as the current editor for a
!  * user.
   *
   * @since 2.5.0
   *
--- 1770,1776 ----
   * Find out which editor should be displayed by default.
   *
   * Works out which of the two editors to display as the current editor for a
!  * user. The 'html' setting is for the "Text" editor tab.
   *
   * @since 2.5.0
   *
***************
*** 1855,1862 ****
  	$attributes = array();
  	$output = '';
  
! 	if ( function_exists( 'is_rtl' ) )
! 		$attributes[] = 'dir="' . ( is_rtl() ? 'rtl' : 'ltr' ) . '"';
  
  	if ( $lang = get_bloginfo('language') ) {
  		if ( get_option('html_type') == 'text/html' || $doctype == 'html' )
--- 1858,1865 ----
  	$attributes = array();
  	$output = '';
  
! 	if ( function_exists( 'is_rtl' ) && is_rtl() )
! 		$attributes[] = 'dir="rtl"';
  
  	if ( $lang = get_bloginfo('language') ) {
  		if ( get_option('html_type') == 'text/html' || $doctype == 'html' )
***************
*** 2032,2040 ****
   * @since 3.0.0
   */
  function register_admin_color_schemes() {
! 	wp_admin_css_color( 'classic', _x( 'Blue', 'admin color scheme' ), admin_url( 'css/colors-classic.css' ),
  		array( '#5589aa', '#cfdfe9', '#d1e5ee', '#eff8ff' ) );
! 	wp_admin_css_color( 'fresh', _x( 'Gray', 'admin color scheme' ), admin_url( 'css/colors-fresh.css' ),
  		array( '#555', '#a0a0a0', '#ccc', '#f1f1f1' ) );
  }
  
--- 2035,2043 ----
   * @since 3.0.0
   */
  function register_admin_color_schemes() {
! 	wp_admin_css_color( 'classic', _x( 'Blue', 'admin color scheme' ), admin_url( 'css/colors-classic.min.css' ),
  		array( '#5589aa', '#cfdfe9', '#d1e5ee', '#eff8ff' ) );
! 	wp_admin_css_color( 'fresh', _x( 'Gray', 'admin color scheme' ), admin_url( 'css/colors-fresh.min.css' ),
  		array( '#555', '#a0a0a0', '#ccc', '#f1f1f1' ) );
  }
  
***************
*** 2264,2271 ****
   * @since 2.8.0
   * @access private
   *
!  * @param any $helper One of the values to compare
!  * @param any $current (true) The other value to compare if not just true
   * @param bool $echo Whether to echo or just return the string
   * @param string $type The type of checked|selected|disabled we are doing
   * @return string html attribute or empty string
--- 2267,2274 ----
   * @since 2.8.0
   * @access private
   *
!  * @param mixed $helper One of the values to compare
!  * @param mixed $current (true) The other value to compare if not just true
   * @param bool $echo Whether to echo or just return the string
   * @param string $type The type of checked|selected|disabled we are doing
   * @return string html attribute or empty string
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/http.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/http.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/http.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/http.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 19,25 ****
   *
   * @return WP_Http HTTP Transport object.
   */
! function &_wp_http_get_object() {
  	static $http;
  
  	if ( is_null($http) )
--- 19,25 ----
   *
   * @return WP_Http HTTP Transport object.
   */
! function _wp_http_get_object() {
  	static $http;
  
  	if ( is_null($http) )
***************
*** 284,289 ****
--- 284,293 ----
   * Send Access-Control-Allow-Origin and related headers if the current request
   * is from an allowed origin.
   *
+  * If the request is an OPTIONS request, the script exits with either access
+  * control headers sent, or a 403 response if the origin is not allowed. For
+  * other request methods, you will receive a return value.
+  *
   * @since 3.4.0
   *
   * @return bool|string Returns the origin URL if headers are sent. Returns false
***************
*** 291,301 ****
   */
  function send_origin_headers() {
  	$origin = get_http_origin();
- 	if ( ! is_allowed_http_origin( $origin ) )
- 		return false;
  
! 	@header( 'Access-Control-Allow-Origin: ' .  $origin );
! 	@header( 'Access-Control-Allow-Credentials: true' );
  
! 	return $origin;
! }
\ No newline at end of file
--- 295,313 ----
   */
  function send_origin_headers() {
  	$origin = get_http_origin();
  
! 	if ( is_allowed_http_origin( $origin ) ) {
! 		@header( 'Access-Control-Allow-Origin: ' .  $origin );
! 		@header( 'Access-Control-Allow-Credentials: true' );
! 		if ( 'OPTIONS' === $_SERVER['REQUEST_METHOD'] )
! 			exit;
! 		return $origin;
! 	}
  
! 	if ( 'OPTIONS' === $_SERVER['REQUEST_METHOD'] ) {
! 		status_header( 403 );
! 		exit;
! 	}
! 
! 	return false;
! }
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/admin-bar-sprite-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/admin-bar-sprite-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/admin-bar-sprite.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/admin-bar-sprite.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/arrow-pointer-blue-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/arrow-pointer-blue-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/arrow-pointer-blue.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/arrow-pointer-blue.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/archive.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/archive.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/audio.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/audio.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/code.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/code.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/default.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/default.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/document.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/document.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/interactive.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/interactive.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/spreadsheet.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/spreadsheet.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/text.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/text.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/crystal/video.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/crystal/video.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/down_arrow-2x.gif and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/down_arrow-2x.gif differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/icon-pointer-flag-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/icon-pointer-flag-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/rss-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/rss-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/rss.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/rss.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/toggle-arrow-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/toggle-arrow-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/toggle-arrow.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/toggle-arrow.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/uploader-icons-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/uploader-icons-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/uploader-icons.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/uploader-icons.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/upload.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/upload.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wlw/wp-comments.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wlw/wp-comments.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wlw/wp-icon.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wlw/wp-icon.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wlw/wp-watermark.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wlw/wp-watermark.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wpicons-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wpicons-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wpicons.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wpicons.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wpmini-blue-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wpmini-blue-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wpmini-blue.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wpmini-blue.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wpspin-2x.gif and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wpspin-2x.gif differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/wpspin.gif and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/wpspin.gif differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/images/xit-2x.gif and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/images/xit-2x.gif differ
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/comment-reply.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/comment-reply.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/comment-reply.js	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/comment-reply.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 1 ****
! addComment={moveForm:function(d,f,i,c){var m=this,a,h=m.I(d),b=m.I(i),l=m.I("cancel-comment-reply-link"),j=m.I("comment_parent"),k=m.I("comment_post_ID");if(!h||!b||!l||!j){return}m.respondId=i;c=c||false;if(!m.I("wp-temp-form-div")){a=document.createElement("div");a.id="wp-temp-form-div";a.style.display="none";b.parentNode.insertBefore(a,b)}h.parentNode.insertBefore(b,h.nextSibling);if(k&&c){k.value=c}j.value=f;l.style.display="";l.onclick=function(){var n=addComment,e=n.I("wp-temp-form-div"),o=n.I(n.respondId);if(!e||!o){return}n.I("comment_parent").value="0";e.parentNode.insertBefore(o,e);e.parentNode.removeChild(e);this.style.display="none";this.onclick=null;return false};try{m.I("comment").focus()}catch(g){}return false},I:function(a){return document.getElementById(a)}};
\ No newline at end of file
--- 1,48 ----
! 
! addComment = {
! 	moveForm : function(commId, parentId, respondId, postId) {
! 		var t = this, div, comm = t.I(commId), respond = t.I(respondId), cancel = t.I('cancel-comment-reply-link'), parent = t.I('comment_parent'), post = t.I('comment_post_ID');
! 
! 		if ( ! comm || ! respond || ! cancel || ! parent )
! 			return;
! 
! 		t.respondId = respondId;
! 		postId = postId || false;
! 
! 		if ( ! t.I('wp-temp-form-div') ) {
! 			div = document.createElement('div');
! 			div.id = 'wp-temp-form-div';
! 			div.style.display = 'none';
! 			respond.parentNode.insertBefore(div, respond);
! 		}
! 
! 		comm.parentNode.insertBefore(respond, comm.nextSibling);
! 		if ( post && postId )
! 			post.value = postId;
! 		parent.value = parentId;
! 		cancel.style.display = '';
! 
! 		cancel.onclick = function() {
! 			var t = addComment, temp = t.I('wp-temp-form-div'), respond = t.I(t.respondId);
! 
! 			if ( ! temp || ! respond )
! 				return;
! 
! 			t.I('comment_parent').value = '0';
! 			temp.parentNode.insertBefore(respond, temp);
! 			temp.parentNode.removeChild(temp);
! 			this.style.display = 'none';
! 			this.onclick = null;
! 			return false;
! 		}
! 
! 		try { t.I('comment').focus(); }
! 		catch(e) {}
! 
! 		return false;
! 	},
! 
! 	I : function(e) {
! 		return document.getElementById(e);
! 	}
! }
